1

Version 4.7.31 was installed and now an hourly cron job is erroring like this:

"Parse error: syntax error, unexpected '[' in /.../administrator/components/com_civicrm/civicrm/CRM/Core/DAO.php on line 651.

Any clues?

1 Answer 1

2

It sounds like you perhaps aren't using a supported version of PHP. I would check your version; my guess is that you're on PHP 5.4, since 5.5 is the minimum supported version in Civi 4.7.31.

I would restore your site from a backup if you're not in a position to upgrade PHP immediately - but my advice is to try to upgrade PHP. PHP 5.4 is known to be insecure and hasn't received security updates in almost 3 years.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.